HOMEBREW_BEER = <<-EOS
Recipe stolen from: http://allrecipes.com/howto/beer-brewing-for-beginners/

**The Key Ingredients**
Before beginning the brewing process, you must first understand the four key
ingredients necessary to brew a batch of beer: water, fermentable sugar, hops,
and yeast. Each ingredient is integral to the recipe and must be cooked in a
certain way to yield a successful batch of brew. Understanding their basic
qualities and how each ingredient is meant to react with the others is an
important aspect of beer brewing.

Water: Water is the primary ingredient in beer, so it is very important the
water tastes good. If the tap water at your house tastes good to you, then it
is fine to use for beer brewing. If you don't like the way your tap water
tastes, then you can use bottled or distilled water instead. If you use tap
water, boil it first to evaporate the chlorine and other chemicals that may
interfere with the brewing process. Let the water cool before using.

Fermented Sugar: Malted barley is the ingredient commonly used to fill the
sugar quota in a home brew recipe. Some brewers will substitute a percentage
of corn, rice, wheat, or other grains to add a lighter flavor to the beer.
Beginning brewers should purchase a ready-to-use form of malted barley called
malt syrup or malt extract, rather than attempting to malt the grain from
scratch, as it is a very complex and touchy process. Using a malt extract will
guarantee the fermented sugar is prepared in just the right manner and will
act as it needs to throughout the beer brewing process.

Hops: Hops are cone-like flowers found on a hop vine. They lend the bitter
flavor to beer that balances out sweetness. Hops also inhibit spoilage and
help keep the "head" (the frothy top when a beer is poured) around longer.

Yeast: First things first: Do not use bread yeast for beer brewing! Beer yeast
is cultivated especially for use in brewing. There are two broad categories of
beer yeast: ale and lager. Ale yeasts are top-fermenting, which means they
tend to hang out at the top of the carboy while fermenting and rest at the
bottom after the majority of fermenting has occurred. Ale yeasts will not
actively ferment below 50 degrees F (20 degrees C). Lager yeasts are
bottom-fermenters and are best used at a temperature ranging from 55 degrees F
(25 degrees C) down to 32 degrees F (0 degrees C). As their names suggest, the
type of yeast used plays an important part in influencing the type of beer
that will be made. Do not rely on the yeast to define the beer, however, as
all of the ingredients play a part in the taste and type of beer you will
create.

**Ready to Brew?**
We've opted to use a simple ale recipe to guide you through the process. The
first cooking step in brewing is to make the wort, a soupy mixture of malt and
sugar that is boiled before fermentation. Malt and sugar form the perfect food
for yeast to grown in--thus making the all-important process of fermentation
possible. All of the ingredients for beer-making can be found at your local
brew supply store, or at any number of beer outfitters. Once you've got all
the necessary equipment and ingredients, you're ready to begin the beer-making
process by properly sanitizing your equipment, making and cooling the wort,
fermenting the wort, and bottling your brew.

Ingredients:

1.5 gallons water
6 pounds canned pre-hopped light malt syrup
1 ounce hop pellets (choose your flavor)
Ice poured into a water bath (do not use store-bought ice)
3 gallons cool water
2 (7-gram) packets ale yeast
1 cup warm water (about 90 degrees F or 35 degrees C)
3/4 cup liquid corn syrup (or 4 ounces dry corn syrup)
1 (4-ounce) container iodine solution
1 tablespoon bleach

A bottle of household bleach or an iodine solution that can be bought at your
local home brew shop to sanitize all of your materials or use will be
necessary. (Make a bleach disinfecting solution with 1 tablespoon bleach to 1
gallon water.) Be sure to rinse the equipment well with boiling water before
using it.

Part I: Make and Cool the Wort

Sanitize the pot, stirring spoon and fermenter with the sanitizing solution.
Rinse everything in boiling water.

Bring 1.5 gallons of water to a boil. When the water begins to boil, remove it
from the heat and stir in the malt syrup until it dissolves. Do not allow any
syrup to stick to the bottom or sides of the pot, as it will burn and taste
awful. Return the pot to the heat and bring the mixture to a boil for 50
minutes, stir frequently and watch constantly to prevent boil-overs. If the
mixture threatens to boil over, reduce the heat.

After 50 minutes have elapsed, stir in the hop pellets. Hops will create a
foam on the top of the liquid--so if the pot is very full, the hops may cause
a boil-over. You want to avoid this at all costs by lowering the heat or
spraying the foam down with a water bottle (sanitized, of course). Let the
hops cook for 10 to 20 minutes.

While the wort is being made, prep the yeast by placing 1 packet of yeast in 1
cup of warm water (90 degrees F or 35 degrees C; stir and cover for 10
minutes. If the yeast does not react (form foam), discard the yeast solution
and try again with the second yeast packet.

At about the time hops are added to the wort, you should prepare an ice-cold
water bath in either a large sink or tub to quick-cool the wort. Once the wort
is finished cooking, float the pot in the water bath. Stir the wort while it
is sitting in the bath so that the maximum amount of wort reaches the pot's
sides where it can cool quickly. If the water bath heats up, add more ice to
keep the water bath cold. It should take approximately 20 minutes to cool the
wort to approximately 80 degrees F (27 degrees C).


Part II: Ferment

Pour the 3 gallons cool water into your sanitized carboy. Funnel in the warm
wort. Sprinkle the prepared yeast into the carboy. Cover the carboy's mouth
with plastic wrap and cap it with a lid. Holding your hand tight over the lid,
shake the bottle up and down to distribute the yeast. Remove the plastic wrap,
wipe any wort around the carboy's mouth off and place the fermentation lock
(with a little water added into its top) on.

Store the carboy in a cool (60 to 75 degrees F or 15 to 24 degrees C) safe
place without direct sunlight where you will be able to easily clean up or
drain any foam that escapes. A bathtub is an excellent place to store your
fermenter if there are no windows in the room. If the temperature in the
storage room drops and bubbling in the carboy's airlock stops, move the carboy
to a warmer room. The fermenting will resume. Fermentation should begin within
24 hours. A clear sign of fermentation is the production of foam and air
bubbles in the fermentation lock.

When fermentation begins, it produces a slow trickle of bubbles that will
increase in amount for a few days, and then reduce to a slow trickle again.
Let the beer ferment for approximately 14 days when the primary fermentation
has taken place. If the fermenting process pops the fermentation lock out of
the carboy, re-sanitize it and place it back into the carboy.


Part III: Bottle

Sanitize all of your bottles by soaking them in the sanitizing solution (make
sure to hold them under the solution so the water gets inside of the bottles)
for 1 hour. Rinse the bottles with boiling water. Also sanitize a small
cooking pot, bottling bucket, siphon and racking cane. Follow the instructions
that came with the bottle caps to sanitize them. Let everything air dry.
Combine the corn syrup and 1 cup water in the sanitized cooking pot. Let boil
10 minutes. Pour mixture into the bottling bucket. Be careful not to add too
much corn syrup to the bottling bucket, because this will over-carbonate the
beer and cause bottles to explode! Place the fermenter full of beer on the
kitchen counter and the bottling bucket on the ground below it. Attach the
racking cane to the siphon. Prepare the siphon by filling it with tap water.
Pinch both ends of the siphon to prevent the water from running out. Place one
end of the racking cane and siphon into the iodine solution and one end into
an empty jar. When the solution has run into the siphon and expelled all of
the water into the jar, pinch both ends and let the iodine sit in the siphon
for 5 minutes to re-sanitize the siphon. (Resist the temptation to blow into
the siphon with your mouth to encourage the flow of iodine solution.)

Place one end of the sanitized siphon into the fermenter and the other end
into the jar; once the beer has begun flowing through the siphon, transfer its
end to the bottling bucket. Monitor the speed that the beer transfers into the
bottling bucket by pinching and releasing the siphon with your fingers (or use
a specialty clamp). The beer should not splash into the bucket; it should
gently rush into it. Once all of the beer has been siphoned into the bucket,
cover it (with a sanitized cover ) and wait 30 minutes for the sediment to
settle at the bottom of the bucket.

Place the bottling bucket on the counter, attach the siphon and run the other
end of the siphon into a bottle. Fill each bottle with beer to 3/4 inch from
the top of the bottle. Cap each bottle with the bottle-capper. Check and
double-check that the caps are secure. Sure Signs of Infection:

Keep your eyes peeled for strands of slime in the beer and a milky layer at
the top and/or residue bumps clinging to the air space in the bottleneck. If
the beer has strands, it most likely has a lacto infection and should be
discarded. The milky layer is a sign of a micro-derm infection; this beer
should also be discarded.

Age the bottles at room temperature for up to two months, but for at least two
weeks, before cracking one open, proposing a toast to yourself and impressing
your friends! Ready to expand your brewing prowess?

Thanks for brewin'
EOS

puts HOMEBREW_BEER
